ChangeSet 1.1222, 2003/06/18 16:35:01-07:00, baldrick@wanadoo.fr

[PATCH] USB speedtouch: remove useless NULL pointer checks

The stats field is never NULL.


 drivers/usb/speedtouch.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)


diff -Nru a/drivers/usb/speedtouch.c b/drivers/usb/speedtouch.c
--- a/drivers/usb/speedtouch.c	Wed Jun 18 17:35:59 2003
+++ b/drivers/usb/speedtouch.c	Wed Jun 18 17:35:59 2003
@@ -358,8 +358,7 @@
 
 	/* is skb long enough ? */
 	if (skb->len < pdu_length) {
-		if (ctx->vcc->stats)
-			atomic_inc (&ctx->vcc->stats->rx_err);
+		atomic_inc (&ctx->vcc->stats->rx_err);
 		return NULL;
 	}
 
@@ -378,8 +377,7 @@
 	/* check crc */
 	if (pdu_crc != crc) {
 		dbg ("udsl_decode_aal5: crc check failed!");
-		if (ctx->vcc->stats)
-			atomic_inc (&ctx->vcc->stats->rx_err);
+		atomic_inc (&ctx->vcc->stats->rx_err);
 		return NULL;
 	}
 
@@ -387,8 +385,7 @@
 	skb_trim (skb, length);
 
 	/* update stats */
-	if (ctx->vcc->stats)
-		atomic_inc (&ctx->vcc->stats->rx);
+	atomic_inc (&ctx->vcc->stats->rx);
 
 	vdbg ("udsl_decode_aal5 returns pdu 0x%p with length %d", skb, skb->len);
 	return skb;
@@ -763,8 +760,7 @@
 			dev_kfree_skb (skb);
 		instance->current_skb = NULL;
 
-		if (vcc->stats)
-			atomic_inc (&vcc->stats->tx);
+		atomic_inc (&vcc->stats->tx);
 	}
 
 	goto made_progress;
